# remove

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. remove (keysAndValues: List < Pair < Key , List < Value >>>)(source)

List-of-pairs overload of WriteKeyValuesRepo.remove.

#### Parameters

keysAndValues

List of key to list-of-values pairs to remove

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. remove (vararg keysAndValues: Pair < Key , List < Value >>)(source)

Vararg overload of WriteKeyValuesRepo.remove.

#### Parameters

keysAndValues

Key to list-of-values pairs to remove

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. remove (k: Key , v: List < Value >)(source)

Single-key overload of WriteKeyValuesRepo.remove accepting a list of values.

#### Parameters

k

Key to remove values from

v

List of values to remove

inline suspend fun < Key , Value > WriteKeyValuesRepo < Key , Value >. remove (k: Key , vararg v: Value )(source)

Single-key vararg overload of WriteKeyValuesRepo.remove.

#### Parameters

k

Key to remove values from

v

Values to remove